:root {
    --primary-color: #4968c2;
    --primary-color-2: #587ed8;
    --primary-color-3: #639bd8;
    --secondary-color: #f23276;
}

* {
    font-family: "Open Sans", sans-serif;
    transition: all .05s;
    color: #273044;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Montserrat", sans-serif;
}

img.logo-main {
    width: 120px;
    height: auto;
}

h1.heading {
    color: #1e467f;
    font-size: 45px;
    width: 600px;
    max-width: 100%;
    text-transform: uppercase;
    margin-bottom: 30px;
    line-height: 60px;
    position: relative;
    z-index: 2;
    font-weight: 700;
}

span.highlight {
    font-size: inherit;
    font-family: inherit;
    color: var(--secondary-color);
}

.banner-text-semi {
    font-size: 28px;
    color: #273044;
    font-weight: 700;
    margin-bottom: 30px;
}

a {
    text-decoration: none !important;
}

.btn-button {
    min-width: 140px;
    padding: 14px 28px;
    background-color: #31c175;
    line-height: 36px;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: .3px;
    border-radius: 50px;
    box-shadow: 0 5px rgba(0, 0, 0, .15);
    font-size: 16px;
    text-decoration: none;
    color: #fff;
    font-weight: 700;
    transition: all 0.5s;
    display: inline-block;
}

.btn-button.button-primary {
    background-color: var(--primary-color);
}

.btn-button.button-secondary {
    background-color: var(--secondary-color);
}

.btn-button:hover {
    background-color: var(--primary-color-2);
    box-shadow: 0 1px rgba(0, 0, 0, .15);
    transform: translateY(5px);
}

.btn-sec {
    display: flex;
    align-items: center;
    gap: 20px;
    padding-top: 20px;
}


/* Scroll activated */

.slide-left {
    transform: translateX(-100px);
    transition: transform 1s ease;
}

.slide-right {
    transform: translateX(100px);
    transition: transform 1s ease;
}

.scroll-animate.active .slide-left,
.scroll-animate.active .slide-right {
    transform: translateX(0);
}

.slide-up {
    transform: translateY(100px);
    transition: transform 1s ease;
}

.slide-down {
    transform: translateY(-100px);
    transition: transform 1s ease;
}

.scroll-animate.active .slide-up,
.scroll-animate.active .slide-down {
    transform: translateY(0);
}

.banner-img svg {
    overflow: visible;
}

.scroll-animate .hide {
    opacity: 0;
}

.scroll-animate.active .show-first {
    opacity: 1;
    transition: opacity 1s;
}

.scroll-animate.active .show-2 {
    opacity: 1;
    transition: opacity 2s;
}

.scroll-animate.active .show-3 {
    opacity: 1;
    transition: opacity 3s;
}

.scroll-animate.active .show-4 {
    opacity: 1;
    transition: opacity 4s;
}

.scroll-animate.active .show-5 {
    opacity: 1;
    transition: opacity 5s;
}


.scroll-animate .animated.from-left {
    transform: translate(-100px, -20px);
    transition: transform 2s;
}

.scroll-animate.active .animated.from-left {
    transform: translate(0px, 0px);
}

.scroll-animate .animated.from-left-man {
    transform: translate(60px, 0px);
    transition: transform 3s;
}

.scroll-animate.active .animated.from-left-man {
    transform: translate(0px, 0px);
}

.scroll-animate.active .animated.hide.show-4.slide-down {
    transition: all 3s;
}

.scroll-animate.active:hover .hover-top {
    transform: translateY(-30px);
}

.scroll-animate.active .hover-front {
    transition: transform 2s;
}

.scroll-animate.active:hover .hover-front {
    transform: translate(-66px, 27px);
}

.scroll-animate.active:hover .laptop.hover-front {
    transform: translate(-10px, 10px);
}

.scroll-animate.active:hover .lamp-details.lamp-0 {
    fill: #f7ffc4;
}

.slide-down.slider-2 {
    transition: transform 2s;
}

/* ---------------------------- */

.banner-img {
    position: relative;
    background-image: url(python-img/header-bg.svg);
    background-repeat: no-repeat;
    background-position: top;
    background-size: contain;
}

.hero-banner {
    background-color: #eef1f7;
    padding-top: 50px;
    padding-bottom: 100px;
}

section {
    padding: 60px 0;
    position: relative;
    overflow: hidden;
}

.feature-icon {
    width: 80px;
    height: 80px;
    margin-right: 10px;
    overflow: hidden;
}

span.icon-feature {
    background-color: #f2d072;
    mask-image: url(python-img/Affordable-Fees.png);
    display: block;
    width: 100%;
    height: 100%;
    mask-position: center;
    mask-size: contain;
    mask-repeat: no-repeat;
}

span.icon-feature.Affordable-Fees {
    mask-image: url(python-img/Affordable-Fees.png);
}

span.icon-feature.Certificate-Support {
    mask-image: url(python-img/Certificate-Support.png);
}

span.icon-feature.moods {
    mask-image: url(python-img/moods.png);
}

span.icon-feature.Python-Projects {
    mask-image: url(python-img/Python-Projects.png);
}

section.features {
    background: var(--secondary-color);
    color: #fff;
    padding: 0;
}

.feature-body h4,
.feature-body p {
    color: #fff;
}

.feature-card {
    display: flex;
    align-items: flex-start;
    gap: 10px;
    padding: 10px;
    height: 100%;
    transition: all 0.5s;
    padding-top: 60px;
    padding-bottom: 60px;
}

.feature-card:hover {
    background: rgb(255 255 255 / 23%);
}

.feature-body {
    flex: 1;
}

section h4 {
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 1em;
}

img.why-choose-img {
    width: 100%;
    height: auto;
}

h2.section-title {
    font-weight: 700;
    font-size: 40px;
    margin-bottom: 15px;
}

p.para {
    line-height: 30px;
    margin-bottom: 28px;
    font-weight: 400;
    font-size: 17px;
}

.list-style-custom {
    list-style: none;
    padding-left: 0;
}

.list-style-custom li {
    position: relative;
    padding-left: 30px;
    margin-bottom: 15px;
    font-size: 16px;
    line-height: 1.6;
    color: #333;
}

.list-style-custom li i {
    position: absolute;
    left: 0;
    font-size: 18px;
    color: var(--primary-color);
    line-height: normal;
}

section.about-online-course {
    background-color: #eef1f7;
}

img.online-course-img {
    width: 100%;
    height: auto;
}

p.para-semi {
    line-height: 36px;
    font-size: 20px;
}

h2.section-title.semi-big {
    font-size: 48px;
}

section.live-stream {
    background-image: url(python-img/live-stream.png);
    background-position: bottom left;
    background-repeat: no-repeat;
    background-size: contain;
    min-height: 500px;
}

.learn-box {
    height: 100%;
    width: 100%;
    background-color: #eef1f7;
    border-radius: 6px;
    display: grid;
    padding: 10px;
    flex-direction: column;
}

.learn-box i {
    background: var(--primary-color-3);
    font-size: 30px;
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    border-radius: 6px;
    line-height: normal;
}

.learn-box-head {
    display: flex;
    align-items: flex-start;
    gap: 8px;
    margin-bottom: 10px;
}

.learn-box-head h5 {
    flex: 1;
    font-size: 18px;
    font-weight: 700;
}

.learn-box-body p {
    font-size: 14px;
    color: #626262;
}


footer.footer {
    position: relative;
    padding: 60px 0;
    z-index: 1;
    overflow: hidden;
    background-image: url(../images/section-bg-3.jpg);
    background-position: center bottom;
    background-size: cover;
}

h5.footer-heading {
    font-size: 24px;
}

a.footer-contact-link {
    display: block;
    font-size: 20px;
    font-weight: 800;
}


.slick-prev::before,
.slick-next::before {
    color: var(--primary-color) !important;
    font-size: 28px !important;
}

section.testimonials {
    padding: 100px 0;
    background-image: url(python-img/testimonials.jpg);
    background-size: cover;
}

h2.section-big-title {
    text-transform: uppercase;
    line-height: 100px;
    margin: 0 0 14px;
    font-size: 90px;
    color: #fff;
    font-weight: 700;
}

section.testimonials h2.section-title {
    color: #fff;
    font-size: 26px;
}

.card.testimonial-card {
    min-height: 300px;
    background: #ffffff;
    padding: 20px;
    border: none;
    border-radius: 0;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.testimonial-user-profile {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 10px;
}

p.testimonial-text {
    margin-bottom: 30px;
    font-family: "Open Sans", sans-serif;
    font-weight: 400;
    font-size: 18px;
    color: #fff;
    min-height: 140px;
}

h6.user-name {
    font-size: 16px;
    font-weight: 700;
    text-transform: uppercase;
    color: #fff;
}

small.user-position {
    color: rgb(255 255 255 / 65%);
}

.testimonial-star {
    background: #fff;
    padding: 15px;
    width: 200px;
    height: auto;
    margin-bottom: 20px;
    position: relative;
}

.testimonial-star:after {
    position: absolute;
    bottom: -13px;
    left: 0;
    content: "";
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 20px 20px 0 0;
    border-color: #fff transparent transparent;
}

.testimonial-star i {
    color: rgb(255 193 7);
    font-size: 20px;
}

img.course-certificate-img {
    width: 100%;
    height: auto;
}

h5.footer-heading {
    font-size: 18px;
    font-weight: 700;
    text-transform: uppercase;
    margin-bottom: 15px;
}

p.footer-text {
    font-size: 16px;
    color: #e1e1e1;
}

.footer-social-media {
    display: flex;
    align-items: center;
    gap: 10px;
}

a.social-icons i {
    color: #fff;
    font-size: 16px;
    width: 30px;
    height: 30px;
    display: flex;
    background: transparent;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    border: 1px solid #fff;
    transition: all 0.5s;
}

a.social-icons,
a {
    text-decoration: none;
}

a.social-icons i:hover {
    color: var(--primary-color-2);
    background-color: #fff;
}

ul.contact-details-footer {
    list-style: none;
    padding-left: 2rem;
}

ul.contact-details-footer li {
    color: #fff;
    font-size: 18px;
    font-weight: 600;
    display: flex;
    align-items: flex-start;
    padding-bottom: 15px;
}

ul.contact-details-footer li a,
ul.contact-details-footer li i {
    color: #fff;
}

p.text-footer {
    color: #ffffffa3;
}

h4.sec-heading {
    font-size: 22px;
    font-weight: 700;
}


img.logo.aff-logo {
    width: 70px;
}

.aff-logos {
    display: flex;
    align-items: center;
    gap: 10px;
}

span.affiliation-nav {
    font-size: 13px;
    font-weight: 700;
    font-family: "Inter", sans-serif;
}

.logo-flex {
    display: flex;
    align-items: center;
    gap: 10px;
}

@media (max-width: 768px) {
    h1.heading {
        font-size: 25px;
        line-height: inherit;
    }

    h4.banner-text-semi {
        font-size: 16px;
        margin-bottom: 15px;
    }

    .btn-sec {
        display: flex;
        align-items: center;
        gap: 20px;
        padding-top: 20px;
        flex-wrap: wrap;
    }

    a.btn-button {
        font-size: 14px;
        width: 100%;
        padding: 10px;
    }

    .hero-banner {
        padding-top: 20px;
        padding-bottom: 50px;
    }

    .banner-img {
        margin-top: 20px;
        display: block;
    }

    section h4 {
        font-size: 15px;
    }

    section p {
        font-size: 14px;
        text-align: justify;
    }

    .feature-icon {
        width: 60px;
        height: 60px;
    }

    .feature-card {
        padding-top: 20px;
        padding-bottom: 20px;
    }

    h2.section-title {
        font-size: 20px;
    }

    img.why-choose-img {
        margin-bottom: 30px;
    }

    p.para {
        line-height: inherit;
        font-size: 15px;
        text-align: justify;
    }

    .list-style-custom li {
        font-size: 14px;
    }

    h2.section-title.semi-big {
        font-size: 20px;
        line-height: inherit;
    }

    section {
        padding: 30px 0;
    }

    p.para-semi {
        line-height: inherit;
        font-size: 15px;
    }

    .learn-box-head h5 {
        font-size: 16px;
    }

    .learn-box i {
        width: 40px;
        height: 40px;
        font-size: 18px;
    }

    h2.section-big-title {
        font-size: 30px;
        margin-bottom: 10px;
        line-height: inherit;
    }

    ul.contact-details-footer {
        list-style: none;
        padding-left: 0;
    }

    ul.contact-details-footer li {
        font-size: 15px;
    }

    h4.sec-heading {
        font-size: 18px;
    }

    img.course-certificate-img {
        margin-top: 20px;
    }

    img.logo.aff-logo {
        width: 70px;
        height: 50px;
        object-fit: contain;
    }
}